# TdApi.SetPassportElement (tdlight API 4.0.177 API)
declaration: module: tdlight.api, package: it.tdlight.jni, class: TdApi, class: SetPassportElement

Module tdlight.api
Package it.tdlight.jni

# Class TdApi.SetPassportElement

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.PassportElement>
it.tdlight.jni.TdApi.SetPassportElement

Enclosing class:
  TdApi

public static final class TdApi.SetPassportElement extends TdApi.Function<TdApi.PassportElement>
Adds an element to the user's Telegram Passport. May return an error with a message "PHONE_VERIFICATION_NEEDED" or "EMAIL_VERIFICATION_NEEDED" if the chosen phone number or the chosen email address must be verified first.

Returns `PassportElement`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
`TdApi.InputPassportElement`
`element`
Input Telegram Passport element.
`String`
`password`
Password of the current user.

## Constructor Summary

Constructors
Constructor
Description
`SetPassportElement()`
Adds an element to the user's Telegram Passport.
`SetPassportElement(TdApi.InputPassportElement element, String password)`
Adds an element to the user's Telegram Passport.
`SetPassportElement(DataInput input)`
Adds an element to the user's Telegram Passport.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### element

public TdApi.InputPassportElement element
Input Telegram Passport element.

### password

public String password
Password of the current user.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### SetPassportElement

public SetPassportElement()
Adds an element to the user's Telegram Passport. May return an error with a message "PHONE_VERIFICATION_NEEDED" or "EMAIL_VERIFICATION_NEEDED" if the chosen phone number or the chosen email address must be verified first.

Returns `PassportElement`

### SetPassportElement

public SetPassportElement(TdApi.InputPassportElement element, String password)
Adds an element to the user's Telegram Passport. May return an error with a message "PHONE_VERIFICATION_NEEDED" or "EMAIL_VERIFICATION_NEEDED" if the chosen phone number or the chosen email address must be verified first.

Returns `PassportElement`

Parameters:
  `element` - InputPassportElement Input Telegram Passport element.
  `password` - String Password of the current user.

### SetPassportElement

public SetPassportElement(DataInput input) throws IOException
Adds an element to the user's Telegram Passport. May return an error with a message "PHONE_VERIFICATION_NEEDED" or "EMAIL_VERIFICATION_NEEDED" if the chosen phone number or the chosen email address must be verified first.

Returns `PassportElement`

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`